"use strict";

const GAMEDEV_ASPECTS = [
    {
        title: "Dessin et création 2D",
        image: "...",
        comment: "",
        details: [
            "Créer des décors et des personnages",
            "Dessiner sur ordinateur, faire du pixel art",
            "Créer des animations 2D",
        ],
    },
    {
        title: "Musique et effets sonores",
        image: "...",
        comment: "",
        details: [
            "Utiliser des logiciels de son et des synthétiseurs",
            "Composer une musique",
            "Faire une prise de son",
            "Mixer un enregistrement",
        ],
    },
    {
        title: "Développer un univers",
        image: "...",
        comment: "",
        details: [
            "Écrire une histoire, construire une narration",
            "Imaginer des mondes et des personnages",
        ],
    },
    {
        title: "Concevoir le jeu",
        image: "...",
        comment: "",
        details: [
            "Comprendres les différents éléments qui composent un jeu",
            "Développer les mécanismes de gameplay",
        ],
    },
    {
        title: "Programmation informatique",
        image: "...",
        comment: "",
        details: [
            "Apprendre pas à pas à coder avec différents langages de programmation",
            "Découvrir les bases du web en créant des mini-jeux en lignes",
        ],
    },
    {
        title: "Mathématiques et physique",
        image: "...",
        comment:
            "<i>Le jeu vidéo et l'informatique en général, c'est l'occasion de découvrir plein de sujets en maths et en physique tout en s'amusant !</i>",
        details: [
            "Algorithmie, logique, calcul, ensembles, géométrie, trigonométrie, algèbre linéaire ,vecteurs, repères en 2 dimensions ...",
        ],
    },
    {
        title: "Travail en équipe",
        image: "...",
        comment:
            "<i>Faire son jeu tout seul c'est bien mais ça peut être long !<br>Créer des jeux c'est aussi l'occasion de se mettre à plusieurs pour tirer le meilleur parti des différents talents de chacun.</i>",
        details: [],
    },
    {
        title: "Logiciels libres, systèmes Linux",
        image: "...",
        comment:
            "<i>Nous utilisons essentiellement des logiciels libres sur Linux.<br>C'est donc une bonne occasion de découvrir et démystifier tout ça en douceur !</i>",
        details: [],
    },
];

class EducationPage {
    constructor(args) {
        Object.assign(this, args);
    }

    render() {
        return {
            tag: "div",
            contents: [
                { tag: "h1", contents: "Pédagogie" },
                { tag: "h2", contents: "Game studio club" },
                { tag: "h3", contents: "Apprendre à créer un jeu vidéo de A à Z" },
                {
                    tag: "p",
                    contents:
                        "La création d'un jeu vidéo c'est l'occasion d'aborder plein de choses différentes !",
                },
                {
                    tag: "ul",
                    contents: GAMEDEV_ASPECTS.map(li => {
                        return {
                            tag: "li",
                            contents: [
                                { tag: "img", src: li.image },
                                { tag: "strong", contents: li.title },
                                { tag: "div", contents: li.comment },
                                {
                                    tag: "ul",
                                    contents: li.details.map(d => {
                                        return {
                                            tag: "li",
                                            contents: d,
                                        };
                                    }),
                                },
                            ],
                        };
                    }),
                },
                {
                    tag: "p",
                    contents:
                        "Une de ces choses vous intéresse mais pas spécialement le jeu vidéo ? <br>Pas de problème ! On peut se concentrer par exemple uniquement sur de la création 2D, ou de la création sonore, ou même uniquement des maths ! <br>L'orientation se fait en fonction des préférences de chacun.",
                },
                {
                    tag: "h3",
                    contents: "Horaires des séances",
                },
                {
                    tag: "table",
                    contents: [
                        {
                            tag: "tr",
                            contents: [
                                { tag: "td", contents: "Mardi" },
                                { tag: "td", contents: "16h - 19h" },
                            ],
                        },
                        {
                            tag: "tr",
                            contents: [
                                { tag: "td", contents: "Mercredi" },
                                { tag: "td", contents: "14h - 17h" },
                            ],
                        },
                        {
                            tag: "tr",
                            contents: [
                                { tag: "td", contents: "Jeudi" },
                                { tag: "td", contents: "16h - 19h" },
                            ],
                        },
                    ],
                },
                {
                    tag: "h3",
                    contents: "Inscription, fonctionnement et tarifs",
                },
                {
                    tag: "p",
                    contents: `Vous pouvez vous inscrire au club pour un mois minium, pour soit 1 soit 2 séances par semaine.
                    <br>Vous devez choisir les jours ou vous viendrez au moment de l'inscription.
                    <br>Chaque plage horaire accueille un groupe de 5 personnes maximum.
                    <br>Le matériel informatique est fourni sur place, mais vouos pouvez amener votre propre ordinateur portable si vous le souhaitez.
                    `,
                },
                {
                    tag: "table",
                    contents: [
                        {
                            tag: "tr",
                            contents: [
                                { tag: "th", contents: "Durée de l'engagement" },
                                { tag: "th", contents: "Séances hebdomadaires" },
                                { tag: "th", contents: "Tarif" },
                            ],
                        },
                        {
                            tag: "tr",
                            contents: [
                                { tag: "td", contents: "1 mois" },
                                { tag: "td", contents: "1" },
                                { tag: "td", contents: "70€" },
                            ],
                        },
                        {
                            tag: "tr",
                            contents: [
                                { tag: "td", contents: "1 mois" },
                                { tag: "td", contents: "2" },
                                { tag: "td", contents: "100€" },
                            ],
                        },
                        {
                            tag: "tr",
                            contents: [
                                { tag: "td", contents: "1 trimestre" },
                                { tag: "td", contents: "1" },
                                { tag: "td", contents: "190€" },
                            ],
                        },
                        {
                            tag: "tr",
                            contents: [
                                { tag: "td", contents: "1 trimestre" },
                                { tag: "td", contents: "2" },
                                { tag: "td", contents: "280€" },
                            ],
                        },
                    ],
                },
                { tag: "h3", contents: "Pour plus d'infos" },
                {
                    tag: "ul",
                    contents: [
                        { tag: "li", contents: "04 75 78 08 72" },
                        {
                            tag: "li",
                            contents: [
                                {
                                    tag: "a",
                                    href: "mailto:kuadrado-software@tutanota.com",
                                    contents: "kuadrado-software@tutanota.com",
                                },
                            ],
                        },
                    ],
                },
            ],
        };
    }
}

module.exports = EducationPage;
